QGIFFormat(3qt)

NAME
QGIFFormat - Incremental image decoder for GIF image format

SYNOPSIS

#include <qasyncimageio.h>

Inherits QImageFormat.

  Public Members
QGIFFormat ()
virtual ~QGIFFormat ()
virtual int decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length )

DESCRIPTION
Incremental image decoder for GIF image format.

This subclass of QImageFormat decodes GIF format images, including animated GIFs. Internally in.

MEMBER FUNCTION DOCUMENTATION

QGIFFormat::QGIFFormat ()
Constructs a QGIFFormat.

QGIFFormat::~QGIFFormat () [virtual]
Destructs a QGIFFormat.

int QGIFFormat::decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length ) [virtual]
This function decodes some data into image changes.

Returns the number of bytes consumed.

Reimplemented from QImageFormat.

SEE ALSO
http://www.troll.no/qt/qgifformat.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.